aboutsummaryrefslogtreecommitdiffstats
path: root/tests/compress
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
commitc6bbdd8aa697b2d42be1ac0839189da32d437a8f (patch)
treecd1b8d19d99557fbebe33344d0d23f6ac826da57 /tests/compress
parent87d947df1b837514a0f1efa3bc36b58088bd2564 (diff)
parentdac4ab1c9306bf2035bc1547d2ed27ab09850120 (diff)
Merge branch 'master' into debian
Diffstat (limited to 'tests/compress')
l---------tests/compress/interimap.remote1
l---------tests/compress/remote.conf1
-rw-r--r--tests/compress/t19
3 files changed, 21 insertions, 0 deletions
diff --git a/tests/compress/interimap.remote b/tests/compress/interimap.remote
new file mode 120000
index 0000000..a4ea3f3
--- /dev/null
+++ b/tests/compress/interimap.remote
@@ -0,0 +1 @@
+../auth-sasl-plain/interimap.remote \ No newline at end of file
diff --git a/tests/compress/remote.conf b/tests/compress/remote.conf
new file mode 120000
index 0000000..dbbb908
--- /dev/null
+++ b/tests/compress/remote.conf
@@ -0,0 +1 @@
+../auth-sasl-plain/remote.conf \ No newline at end of file
diff --git a/tests/compress/t b/tests/compress/t
new file mode 100644
index 0000000..5625761
--- /dev/null
+++ b/tests/compress/t
@@ -0,0 +1,19 @@
+for ((i = 0; i < 32; i++)); do
+ u="$(shuf -n1 -e "local" "remote")"
+ sample_message | deliver -u "$u"
+done
+
+# compression enabled by default
+interimap --debug || error
+grep -Fx "remote: C: 000001 COMPRESS DEFLATE" <"$STDERR" || error
+grep -E "^remote: S: 000001 OK( |$)" <"$STDERR" || error
+
+check_mailbox_status "INBOX"
+
+
+# can be disabled
+echo "compress = no" >>"$XDG_CONFIG_HOME/interimap/config"
+interimap --debug || error
+! grep -E "^remote: C: [^[:blank:]]+ COMPRESS DEFLATE$" <"$STDERR" || error
+
+# vim: set filetype=sh :